/**
 * @file lecture.h
 *
 * Lecture de la mélodie
 *
 * @version 1
 * @author Quentin, Guy
 * @date Mai 2014
 */


#ifndef _LECTURE_H
#define _LECTURE_H

#include "../melodie/melodie.h"
#include "../instruments/instruments.h"
// #include <SDL2/SDL.h>
// #include <SDL2/SDL_mixer.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "../fmod/include/fmod.h"

#define NBR_MS

/**
	Permet la lecture d'un motif
	@param[in] nbrChaines : nombre de chaines
	@param[in] tempo : vitesse de lecture
	@param[in] melodie[] : tableau ordonné des motifs
*/
void lecture(int nbrChaines, int nombreInst, int tempo, Instrument* inst[], Motif* melodie[]);

#endif
